Bug 1284623 - perl-Test-SharedFork: update to 0.29 in epel7
perl-Test-SharedFork: update to 0.29 in epel7
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: perl-Test-SharedFork (Show other bugs)
epel7
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jose Pedro Oliveira
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1282828
  Show dependency treegraph
 
Reported: 2015-11-23 12:01 EST by Denis Fateyev
Modified: 2016-01-20 23:38 EST (History)
2 users (show)

See Also:
Fixed In Version: perl-Test-SharedFork-0.35-1.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-20 23:38:02 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Denis Fateyev 2015-11-23 12:01:20 EST
Description of problem:
Please consider updating perl-Test-SharedFork in epel7 to more recent version. The thing is that some new/updated packages require some recent versions for testing intensively.

As I believe, this revision http://pkgs.fedoraproject.org/cgit/perl-Test-SharedFork.git/tree/perl-Test-SharedFork.spec?h=f20 being merged to epel7 will be fine and shouldn't bring any issues. All dependencies mentioned are met:

BuildRequires:  perl(Config)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Fcntl)
BuildRequires:  perl(File::Spec::Functions)
BuildRequires:  perl(File::Temp)
BuildRequires:  perl(IO::Handle)
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(Storable)
BuildRequires:  perl(Test::Builder) >= 0.32
BuildRequires:  perl(Test::Builder::Module)
BuildRequires:  perl(Test::More) >= 0.88
BuildRequires:  perl(Test::Requires)
BuildRequires:  perl(Tie::Array)
BuildRequires:  perl(Tie::Scalar)
BuildRequires:  perl(Time::HiRes)
BuildRequires:  perl(base)
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)

epel7:
perl(ExtUtils::MakeMaker) = 6.68
perl(Module::Build) = 0.4005
perl(Test::Builder) = 0.98
perl(Test::Builder::Module) = 0.98
perl(Test::More) = 0.98
Comment 1 Denis Fateyev 2015-11-30 05:12:36 EST
perl-Test-SharedFork: requested commit acls to update in epel.
Comment 2 Fedora Update System 2016-01-04 17:46:51 EST
perl-Test-SharedFork-0.35-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-4c88b7198f
Comment 3 Fedora Update System 2016-01-05 18:26:49 EST
perl-Test-SharedFork-0.35-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-4c88b7198f
Comment 4 Fedora Update System 2016-01-20 23:38:00 EST
perl-Test-SharedFork-0.35-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.